    import {Sprite} from 'mapbox-plugins/src/sprites/sprite.js'

public class | source

# Sprite

#### Direct Subclass:

Drone

Base class of Drone or other Game-Sprite

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | direction: * |
public | icon: * |
public | iconUrl: * |
public | id: * |
public | lat: * |
public | lon: * |
public | name: * |
public | speed: * |

## Method Summary

Public Methods
public | accelerate() to be overwrite. |
public | brake() |
public | turnLeft() |
public | turnRight() |

Private Methods
private | _init() |

## Public Constructors

### public constructor() source

## Public Members

### public direction: * source

### public icon: * source

### public iconUrl: * source

### public id: * source

### public lat: * source

### public lon: * source

### public name: * source

### public speed: * source

## Public Methods

### public accelerate() source

to be overwrite.

### public brake() source

### public turnLeft() source

### public turnRight() source

## Private Methods

### private _init() source